Author Topic: PHP Version Switcher V2 issue(s)  (Read 756 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
PHP Version Switcher V2 issue(s)
« on: December 14, 2017, 11:01:51 AM »
First off; it's a clean system install on CentOS 7.4.

When I select a different PHP version in PHP Version Switcher v2, I am experiencing issues.

In the example below I selected PHP 7.0.24
Code: [Select]
Nothing to do
/usr/local/src/php-rebuild.sh: line 73: ./configure: Permission denied
Configure DONE!
####################
make: *** No targets specified and no makefile found.  Stop.
Make DONE!
####################
make: *** No rule to make target `install'.  Stop.
Make Install DONE!
####################
PHP Rebuild Completed
#########################

e99594f308ddb6cde0ac32d2072a0d73

Here is the full pastebin: https://pastebin.com/j7WSJun5


In the meantime I will redo the complete installation, to see if I have done something wrong.


Offline
*
Re: PHP Version Switcher V2 issue(s)
« Reply #1 on: December 18, 2017, 09:27:42 AM »
Did a clean install several times, but always the same issue:

Quote
/usr/local/src/php-rebuild.sh: line 73: ./configure: Permission denied


Offline
*
Re: PHP Version Switcher V2 issue(s)
« Reply #2 on: December 18, 2017, 09:30:43 AM »
Nevermind, I think I have fixed it finally.

Had to change noexec to exec in /etc/fstab for the tmp directory. :S
Stupid me...